Docs menu
API reference

Calendar

The scheduled and recently published window.

Content calendar

GET/v1/public/calendar
scopescontent:read

Scheduled and recently published posts in a date window (max 92 days). Published posts appear for at most the trailing 30 days.

Path and query parameters
fromrequiredstringWindow start (ISO date, business timezone)
torequiredstringWindow end (ISO date, business timezone)
request
curl "https://api.taka.ai/v1/public/calendar?from=2026-09-01&to=2026-09-30" \
  -H "Authorization: Bearer taka_live_..."
response
{
  "entries": [
    {
      "postId": "abc123",
      "variantId": "abc123",
      "date": "2026-09-01",
      "name": "Weekend croissant special",
      "status": "scheduled",
      "platform": "instagram",
      "platforms": [
        "instagram"
      ],
      "scheduledAt": "2026-09-01T09:30:00Z",
      "publishedAt": null,
      "needsApproval": false,
      "permalink": null,
      "publishFailure": null,
      "thumbnailUrl": "https://media.taka.ai/abc123-thumb.jpg?signature=..."
    }
  ],
  "timezone": "America/New_York",
  "publishedLookbackDays": 30
}